Delete an AI agent
DELETE
/v1/agents/{name}
const url = 'https://example.com/v1/agents/example';const options = { method: 'DELETE', headers: {'X-Tenant-ID': '2489E9AD-2EE2-8E00-8EC9-32D5F69181C0'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://example.com/v1/agents/example \ --header 'X-Tenant-ID: 2489E9AD-2EE2-8E00-8EC9-32D5F69181C0'Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” name
required
string
Header Parameters
Section titled “Header Parameters ” X-Tenant-ID
required
string format: uuid
Tenant identifier. Must match the tenant associated with the credential. Returns 403 tenant_mismatch if the credential and header belong to different tenants.
Responses
Section titled “ Responses ”No Content
Forbidden
Media type application/json
object
code
required
Machine-readable error code (e.g. “not_found”, “tenant_mismatch”).
string
message
required
Human-readable description of the error.
string
details
Optional additional context about the error.
object
key
additional properties
any
notices
Policy notices from determining Cedar rules, if applicable.
Array<string>
Example generated
{ "code": "example", "message": "example", "details": {}, "notices": [ "example" ]}Not found
Media type application/json
object
code
required
Machine-readable error code (e.g. “not_found”, “tenant_mismatch”).
string
message
required
Human-readable description of the error.
string
details
Optional additional context about the error.
object
key
additional properties
any
notices
Policy notices from determining Cedar rules, if applicable.
Array<string>
Example generated
{ "code": "example", "message": "example", "details": {}, "notices": [ "example" ]}